CreateStartVmInstanceScheduler
CreateStartVmInstanceScheduler
/zstack/v1/vm-instances/{vmUuid}/schedulers/startingOperation ID
CreateStartVmInstanceSchedulerSince
0.6Execution Mode
SynchronousAuth Context
Auth RequiredAuth Context
Send these values as request headers when calling this API.
AuthorizationstringRequiredBearer Token
X-Tenant-IDstringX-Tenant-ID
Request Inputs
application/jsonPath Parameters
vmUuidStringRequiredThe VM instance UUID.
Body Fields
paramsObjectRequiredRequest body parameter object.
clusterUuidStringOptional. The cluster UUID.
hostUuidStringOptional. The host UUID.
schedulerNameStringRequiredThe scheduler name.
schedulerDescriptionStringOptional. The scheduler description.
typeStringRequiredThe scheduler type, including: simple and cron.
intervalIntegerOptional. The scheduler interval. Unit: second.
repeatCountIntegerOptional. The scheduler repeat count. This parameter is applied to only schedulers of the simple type.
startTimeLongOptional. The scheduler start time, which must conform to the Unix timestamp format. If set to 0, the scheduler starts immediately.
cronStringOptional. The Cron expression, which must conform to the Java Quartz Cron format.
resourceUuidStringOptional. The UUID that is used to create a scheduler.
systemTagsListOptional. The system tags.
userTagsListOptional. The user tags.
